> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/apercu-des-requetes-de-lapi-geopard/notes-reperes/28.-mutation-enregistrer-plusieurs-notes-operation-par-lot.md).

# 28. Mutation : Enregistrer plusieurs « Notes », opération par lot

Cette mutation vous permet d'attacher plusieurs Notes à un Champ spécifié.

{% hint style="success" %}
Le nombre maximum de Notes à enregistrer est de 25.
{% endhint %}

{% hint style="success" %}
Ajoutez le `uuid` attribut dans l'entrée pour mettre à jour la Note.
{% endhint %}

* Une Note peut être liée au Champ via son identifiant unique `fieldUuid,`  au SoilDataset associé via `soilDatasetUuid`, à la ZonesMap via `vectorAnalysisMapUuid`.
* La coordonnée de la Note peut être définie en utilisant le `centroid` attribut, qui nécessite des `latitude` et `longitude` valeurs.&#x20;
* Le type de Note peut être spécifié en utilisant le `type` attribut avec des valeurs acceptables de `PLANNED` ou `REAL`.&#x20;
* La description de la Note peut être fournie en utilisant le `comment` attribut. Si la description doit être multilignes, la `comment` attribut doit contenir une chaîne avec des caractères de nouvelle ligne `\\n` pour séparer les lignes. Par exemple : `"Première ligne. est ici\\nDeuxième ligne est ici.\\nTroisième ligne est ici."`.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation BatchSaveNotes {
  saveNotes(input:{
    notes: [{
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: PLANNED,
      comment: "Enregistrement par lot : 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      uuid: "531d4cc4-b464-435c-8bb5-464cc13fcafa",
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Mise à jour par lot : 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Enregistrement par lot : 2",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Enregistrement par lot : 2",
      soilDatasetUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }
  ]
  } ) {
    uuid
    fieldUuid
    dateDeCréation
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/apercu-des-requetes-de-lapi-geopard/notes-reperes/28.-mutation-enregistrer-plusieurs-notes-operation-par-lot.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
